com.sun.star.lib.uno.helper

## Class UnoUrl

- java.lang.Object
- - com.sun.star.lib.uno.helper.UnoUrl

-     public class UnoUrl
      extends Object

  Object representation and parsing of Uno Urls, which allow to locate a named Uno object in a different process. An Uno Url consists of the specification of a connection, protocol and rootOid delimited with a ';'. The syntax of an Uno Url is `[uno:]connection-type,parameters;protocol-name,parameters;objectname";` An example Uno Url will look like this: `socket,host=localhost,port=2002;urp;StarOffice.ServiceManager` For more information about Uno Url please consult http://udk.openoffice.org/common/man/spec/uno-url.html Usage: `UnoUrl url = UnoUrl.parseUnoUrl("socket,host=localhost,port=2002;urp;StarOffice.ServiceManager");`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConnection()` Returns the name of the connection of this Uno Url.
    `String` | `getConnectionAndParametersAsString()` Returns the raw specification of the connection name and parameters.
    `HashMap<String,String>` | `getConnectionParameters()` Returns the connection parameters as a Hashmap with key/value pairs.
    `String` | `getConnectionParametersAsString()` Returns the raw specification of the connection parameters.
    `String` | `getProtocol()` Returns the name of the protocol of this Uno Url.
    `String` | `getProtocolAndParametersAsString()` Returns the raw specification of the protocol name and parameters.
    `HashMap<String,String>` | `getProtocolParameters()` Returns the protocol parameters as a Hashmap with key/value pairs.
    `String` | `getProtocolParametersAsString()` Returns the raw specification of the protocol parameters.
    `String` | `getRootOid()` Return the object name.
    `static UnoUrl` | `parseUnoUrl(String unoUrl)` Parses the given Uno Url and returns an in memory object representation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getConnection

          public String getConnection()

      Returns the name of the connection of this Uno Url. Encoded characters are not allowed.
      Returns:
        The connection name as string.

    - #### getProtocol

          public String getProtocol()

      Returns the name of the protocol of this Uno Url. Encoded characters are not allowed.
      Returns:
        The protocol name as string.

    - #### getRootOid

          public String getRootOid()

      Return the object name. Encoded character are not allowed.
      Returns:
        The object name as String.

    - #### getProtocolParameters

          public HashMap<String,String> getProtocolParameters()

      Returns the protocol parameters as a Hashmap with key/value pairs. Encoded characters like '%41' are decoded.
      Returns:
        a HashMap with key/value pairs for protocol parameters.

    - #### getConnectionParameters

          public HashMap<String,String> getConnectionParameters()

      Returns the connection parameters as a Hashmap with key/value pairs. Encoded characters like '%41' are decoded.
      Returns:
        a HashMap with key/value pairs for connection parameters.

    - #### getProtocolParametersAsString

          public String getProtocolParametersAsString()

      Returns the raw specification of the protocol parameters. Encoded characters like '%41' are not decoded.
      Returns:
        The uninterpreted protocol parameters as string.

    - #### getConnectionParametersAsString

          public String getConnectionParametersAsString()

      Returns the raw specification of the connection parameters. Encoded characters like '%41' are not decoded.
      Returns:
        The uninterpreted connection parameters as string.

    - #### getProtocolAndParametersAsString

          public String getProtocolAndParametersAsString()

      Returns the raw specification of the protocol name and parameters. Encoded characters like '%41' are not decoded.
      Returns:
        The uninterpreted protocol name and parameters as string.

    - #### getConnectionAndParametersAsString

          public String getConnectionAndParametersAsString()

      Returns the raw specification of the connection name and parameters. Encoded characters like '%41' are not decoded.
      Returns:
        The uninterpreted connection name and parameters as string.

    - #### parseUnoUrl

          public static UnoUrl parseUnoUrl(String unoUrl)
                                    throws IllegalArgumentException

      Parses the given Uno Url and returns an in memory object representation.
      Parameters:
        `unoUrl` - The given uno URl as string.
      Returns:
        Object representation of class UnoUrl.
      Throws:
        `IllegalArgumentException` - if Url cannot be parsed.
        `IllegalArgumentException`